Draft Draft2Sketch/it: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 23: Line 23:


[[Image:Draft_Draft2Sketch_example.png]]
[[Image:Draft_Draft2Sketch_example.png]]
{{Caption|Conversione di oggetti Draft in Schizzi di Sketcher}}
<div class="mw-translate-fuzzy">
{{Caption|Conversione di forme Draft in forme di Sketcher con vincoli}}
</div>


<span id="Usage"></span>
<span id="Usage"></span>

Revision as of 13:26, 18 June 2023

Draft in Sketch

Posizione nel menu
Draft → Draft in Sketch
Ambiente
Draft, Arch
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno

Descrizione

Il comando Draft Draft in Sketch converte oggetti Draft in Schizzi Sketcher e viceversa.

Conversione di oggetti Draft in Schizzi di Sketcher

Utilizzo

  1. Selezionare un oggetto di Draft o di Sketcher.
  2. Premere il pulsante Da Draft a Sketcher.

Notes

Limitazioni

La conversione di un oggetto che non può essere rappresentato con una combinazione di linee rette, archi e B-Spline di solito fallisce, cioè l'oggetto non appare nello schizzo.

Scripting

Convertire oggetti in schizzo:

sketch = make_sketch(objects_list, autoconstraints=False, addTo=None, delete=False, name="Sketch", radiusPrecision=-1, tol=1e-3)
  • objects_list contains the objects to be converted. It is either a single object or a list of objects. Draft objects, Part::Feature objects and Part.Shape objects are supported.
  • If autoconstraints is True coincident constraints are added to nodes belonging to the same source object.
  • addTo is the existing sketch object the geometry is added to. If not supplied a new sketch is created.
  • If delete is True the source objects are deleted.
  • name is the name for the new sketch.
  • radiusPrecision indicates how radius constraints should be handled:
    • Use -1 to disable radius constraints.
    • Use 0 to add individual radius constraints.
    • Use a positive number to round radii according to this precision, and to add equal constraints between curves with equal radii.
  • tol is the tolerance used to check if shapes are planar and co-planar. Use -1 for a strict analysis.
  • sketch is returned with the sketch object.

Convertire oggetti in Draft:

draftify(objectslist, makeblock=False, delete=True)
  • objectslist contains the objects to be converted. It is either a single object or a list of objects.
  • If makeblock is True the converted objects are grouped in a Part::Part2DObject.
  • If delete is True the source objects are deleted.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(2000, 1000)
circle = Draft.make_circle(500)
doc.recompute()

sketch_from_draft = Draft.make_sketch([rectangle, circle], autoconstraints=True, delete=False, radiusPrecision=0)
doc.recompute()

draft_from_sketch = Draft.draftify(sketch_from_draft, delete=False)
doc.recompute()